/**** -*- Mode: C++ -*- *****************************************************
 *   PROJECT: Classroom Raytracer
 *   FILE:    material.h
 *   CONTENT: Material declaration
 *
 *   AUTHOR:  Bert Freudenberg (bf)
 *   ADDRESS: University of Magdeburg, Germany
 *   EMAIL:   bert@isg.cs.uni-magdeburg.de
 *   RCSID:   $Id: material.h,v 1.2 2001/11/01 16:47:46 bert Exp bert $
 *
 *****************************************************************************/

#ifndef __MATERIAL_H
#define __MATERIAL_H

#include <iostream>
using namespace std;

#include "color.h"

class Material
{
public:
  Color color;         // base color
  double ambient;      // ambient intensity
  double diffuse;      // diffuse intensity
  double specular;     // specular intensity 
  double phong;        // exponent for specular highlight size

  Material()
    { }

  Material(const Color &c, double a, double d, double s, double n)
    : color(c), ambient(a), diffuse(d), specular(s), phong(n)
    { }

  friend istream& operator>>(istream &is, Material &m);
};

#endif
